import React from 'react';
import {connect} from 'react-redux';
import {SETTEXTMODEVALUE} from '@store/types/mainSuit';
import {SETCURRENTTEXTMODEVALUE} from '@store/types/currentIll';
import {SETOTHERTEXTMODEVALUE} from '@store/types/otherHistory';
import {SETCHECKTEXTMODEVALUE} from '@store/types/checkBody';
import { SETPASTTEXTMODEVALUE } from '@store/types/pastHistory'
import { SETPERSONALTEXTMODEVALUE } from '@store/types/personalHistory'
import { SETFAMILYTEXTMODEVALUE } from '@store/types/familyHistory'
import { SETMARRIAGETEXTMODEVALUE } from '@store/types/marriageHistory'
import { SETMENSTRUATIONTEXTMODEVALUE } from '@store/types/menstruationHistory'

import BlockInp from '@common/components/BlockInp';
import {didPushParamChange,isAllPartClear,getAllDataList,getAllDataStringList,isAllClear} from '@utils/tools';
import {embedPush} from '@store/async-actions/pushMessage';

function mapStateToProps(state){
  const {homePage} = state;
  return {
    isRead:homePage.isRead,
  }
}

const actionsType={
  '1':SETTEXTMODEVALUE,
  '2':SETCURRENTTEXTMODEVALUE,
  '3':SETOTHERTEXTMODEVALUE,
  '4':SETCHECKTEXTMODEVALUE,
  '13': SETPASTTEXTMODEVALUE, // 设置既往史
  '14': SETPERSONALTEXTMODEVALUE, // 设置个人史
  '15': SETFAMILYTEXTMODEVALUE, // 设置家族史
  '16': SETMARRIAGETEXTMODEVALUE, // 设置婚育史
  '17': SETMENSTRUATIONTEXTMODEVALUE, // 设置月经史
};
function mapDispatchToProps(dispatch){
  return {
    handleInput(obj){   //自由模式值保存
      dispatch({
        type:actionsType[obj.boxMark],
        text:obj.text
      })
    },
    handlePush(obj={}){
      const {boxMark,isFocus,state} = obj;
      const notClear=state?isAllClear(getAllDataStringList(state)):false;
      if(isFocus&&(boxMark==='1'||boxMark==='2')&&!notClear){
        dispatch(embedPush({mode:+boxMark+1}));
        return;
      }
      if(!isFocus&&didPushParamChange()) {    //输入的情况
        dispatch(embedPush({mode:+boxMark+3}));
      }
    }
  }
}

const BlockInpCont = connect(
  mapStateToProps,
  mapDispatchToProps
)(BlockInp);

export default BlockInpCont;