import { json } from "@utils/ajax";
import { GET_SEARCH_RESULT } from '@store/types/diagnosticSearch';
import { GET_SEARCH } from '@store/types/emergencyHis';
import {  Notify } from '@commonComp';

export const getSearchList = (val,flag) => {
    if(val.trim() == ''){
        // const data = [];
        if(flag){
            return (dispatch) =>  dispatch({
                type: GET_SEARCH,
                searchResult: []
            })
        }
        return (dispatch) =>  dispatch({
            type: GET_SEARCH_RESULT,
            searchResult: []
        })
    }
   
    return (dispatch, getState) => {
        const state = getState();
        const diagnosticList = flag?state.emergencyHis.searchData:state.diagnosticList.diagnosticList;
        let noIds = []
        for(let i = 0; i < diagnosticList.length; i++) {
            if(diagnosticList[i].conceptId) {
                noIds.push(diagnosticList[i].conceptId)
            }
        }
        json('/demo/retrieval/index',{
            "type":'4',
            "age": 10,
            "inputStr": val,
            "sex": 1
        })
        .then((res)=>{
            if(res.data.code==0){
                const data = res.data.data;let curDate=[];
                let arr = data.diseaseNames;
                    for (var key in arr) {
                        let obj = {}
                        obj['name'] = arr[key];
                        obj['conceptId'] = '';
                        curDate.push(obj)
                    }
                if(flag){ 
                    dispatch({
                        type: GET_SEARCH,
                        searchResult: curDate
                    })
                }else{
                    dispatch({
                        type: GET_SEARCH_RESULT,
                        searchResult: curDate
                    })
                }
            }else{
                Notify.error(res.data.msg)
            }
        })
    }
};

